Update an entity user

Change the specified fields with provided values.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_user_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
emailstringOptionalformat: "email"
An entity user business email
first_namestringOptional<=255 characters
First name
last_namestringOptional<=255 characters
Last name
loginstringOptional<=255 characters
Login
phonestringOptional
An entity user phone number in the international format
role_idstringOptionalformat: "uuid"
UUID of the role assigned to this entity user
titlestringOptional<=255 characters
Title

Response

Successful Response
idstringformat: "uuid"
UUID entity user ID
created_atdatetime
UTC datetime
updated_atdatetime
UTC datetime
loginstring
Login
role_idstringformat: "uuid"
UUID role ID
statusenum
record status, 'active' by default
Allowed values:
emailstringformat: "email"
An entity user business email
first_namestring
First name
last_namestring
Last name
phonestring
An entity user phone number in the international format
userpic_file_idstringformat: "uuid"

Errors

400
Patch Entity Users ID Request Bad Request Error
422
Patch Entity Users ID Request Unprocessable Entity Error
500
Patch Entity Users ID Request Internal Server Error